package Juno2.DataLoad;

import java.util.HashMap;
import Juno2.DataLoad.AccountCVO;


public class CustomerCVO {

//// create an AccountCVOList object to encapsulate the
//// AccountCVO collection - abstract the collection choice
//// HashMap or ArraytList - and implement the getters and setters
//// and create readOnly implememntations of the lost with a
//// built in Iterator

//// make this a generic wrapper object that can be used by both the
//// CustomerCVO (for account list) and the AccountCVO (for positon list) ??

    private String custId;
    private String password;
    private String fname;
    private String lname;

	private HashMap acctList;

	public CustomerCVO() {
		acctList = new HashMap();
	}
    public String getCustId(){
		return this.custId;
	}
    public String getFirstName(){
		return this.fname;
	}
    public String getLastName(){
		return this.lname;
	}
    public String getPassword(){
		return this.password;
	}
	public HashMap getAccountList() {
		return acctList;
	}

	//// addAccount should just pass in the AccountCVO and extract the key
	//// from the AccountCVO

   	public void addAccount(AccountCVO acvo){
		acctList.put(acvo.getAccountId(), acvo);
	}
	public void setCustId(String cust){
		this.custId = cust;
	}
    public void setFirstName(String fname){
		this.fname = fname;
	}
    public void setLastName(String lname){
		this.lname = lname;
	}
    public void setPassword(String password){
		this.password = password;
	}
}

